#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`
#echo "appname = " $appname
dirname=`dirname $0`
#echo "dirname = " $dirname
dirdata=`dirname $dirname`
#echo "dirdata = " $dirdata

tmp="${dirname#?}"
if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi

LD_LIBRARY_PATH=$dirname
export LD_LIBRARY_PATH

# Create App directory under local user if doesn't exit
dst="/home/$USER/N7LWD/Programs/$appname"
if ! [ -d "$dst" ]; then
    mkdir -p "$dst"
fi

# Allways copy program info for updates
#src="$dirdata/Programs/$appname/Info"
src="$dirname/Programs/$appname/Info"
cp -R "$src" "$dst"

# Only copy program data if new installation (Data doesn't exit)
#src="$dirdata/Programs/$appname/Data"
src="$dirname/Programs/$appname/Data"
if ! [ -d "$dst/Data" ]; then
    cp -R "$src" "$dst"
fi

#execute program
cd "/home/$USER/N7LWD/Programs"
$dirname/$appname "$@"
